%define version 0.5.3
%define release 1

%define	desktop_vendor	planetccrma
%define desktop_utils   %(if which desktop-file-install 2>1 >/dev/null ; then echo "yes" ; fi)

Summary:      Realtime audio frequency spectral manipulation
Name:         freqtweak
Version:      %{version}
Release:      %{?release_prefix:%{release_prefix}.}%{release}%{?release_suffix:.%{release_suffix}}
URL:          http://freqtweak.sourceforge.net/
Source0:      %{name}-%{version}.tar.gz
Patch0:       freqtweak-0.4.7-configure.patch
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-root
Requires:     jack-audio-connection-kit >= 0.66.3
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

%description
FreqTweak is a tool for FFT-based realtime audio spectral manipulation
and display. It provides several algorithms for processing audio data
in the frequency domain and a highly interactive GUI to manipulate the
associated filters for each. It also provides high-resolution spectral
displays in the form of scrolling-raster spectragrams and energy vs
frequency plots displaying both pre- and post-processed spectra.

%prep
%setup -q
%patch0 -p1

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make DESTDIR=$RPM_BUILD_ROOT install

# redhat menus
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Freqtweak
Comment=Realtime audio frequency spectral manipulation
Icon=
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
  cp %{desktop_vendor}-%{name}.desktop \
     %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS
%{_bindir}/freqtweak
%{_mandir}/man1/*
%{_datadir}/freqtweak
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%changelog
* Mon Sep 22 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.3-1
- updated to 0.5.3
- added help to file list (/usr/share/freqtweak/help/usagehelp.html)
* Wed Aug 20 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.2-1
- updated to 0.5.2, added release tags
* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.1-1
- updated to 0.5.1
* Tue Apr  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.8-2
- rebuilt for newer version of fftw
* Fri Apr  4 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.8-1
- update to 0.4.8
* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.7-3
- rebuild for jack 0.66.3, added explicit requires for it
* Sun Mar 23 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.7-2
- rebuild due to update of wxGTK, patch configure to recognize the config
  script of wxGTK 2.4.0 (wxgtk-2.4-config instead of wx-config)
* Tue Mar  4 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.7-1
- update to 0.4.7
* Wed Feb 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.6-1
- update to 0.4.6
* Sun Nov 17 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.5-1
- update to 0.4.5
* Tue Nov 12 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.4-3
- menu in 7.2/7.3 was in wrong group
* Sun Nov 10 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.4-2
- added patch to rename jack alsa ports for jack >= 0.40
- added explicit dependency to jack
- added redhat menu entry
* Tue Oct 15 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- Initial build. 
- Update to 0.4.3
